#!/bin/bash

############################################################################
#
# MODULE:       GUI
# AUTHOR(S):    CacheGuard Development Team
# COPYRIGHT:    (C) 2009-2020 by CacheGuard Technologies Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
###########################################################################

show-conf-show-form()
{
    local conf=/tmp/conf.show.${$} line

    show-title "Textual Configuration" "disabled" "conf"
    execute-command-with-output "conf" > ${conf}

    echo "<div class='core-form'>"
    echo "<table class='highlight-list' width='100%'>"

    while read line
    do
	echo "<tr>${line}</tr>"
    done < ${conf}
    rm -f ${conf}

    echo "</table>"
    show-scroll-top
    echo "</div>"

}

# Main()

show-conf-show-form
